Mac App Store

Mac App Store is the simplest way to find and download apps for your Mac.

To download Supreme Ruler Cold War from the Mac App Store, you need a Mac with OS X 10.6.6 or later. Learn More.

Supreme Ruler Cold War

By Virtual Programming Ltd

Open the Mac App Store to buy and download apps.

Description

Building on Supreme Ruler 2010 and 2020, BattleGoat Studios invites you to relive the tension and uncertainty of the Cold War. As the 1950’s approach, the Korean War looms, the Arms Race intensifies, the Berlin Crisis leads to the formation of NATO, and the world anticipates a new World War.

As leader of the United States or the Soviet Union, you must make the correct Economic, Diplomatic, Domestic and Military decisions to successfully navigate your country through this dangerous historical era and increase your nation’s Sphere of Influence on the world stage.

Features

Play as the United States or Soviet Union in Campaign Mode
Control any Nation in Post-World War II Era in Sandbox Mode
Use Diplomacy, Trade and Espionage to influence the policies of other nations
Research new Technologies to give your nation an edge
Grow and Modernize your Economy
Control Military production and deployment, or let your Ministers take care of the details
And when Diplomacy Fails… Sophisticated Real-Time Strategic and Tactical Control of your Military Forces!
Enhanced Graphics and Sound including New 3D Terrain
Experience the redesigned GUI with improved On-Map feedback and streamlined controls

Requirements

Intel Core 2 Duo CPU
Mac OS X 10.8 or higher
2 GB RAM
VIDEO: ATI HD 2600 or better, NVidia 8600 or better, Intel HD 3000 or better
256 VRAM
HDD: 1GB

What's New in Version 1.1.1

Fix to graphical issue

Screenshots

Screenshot 1
Screenshot 2
Screenshot 3
Screenshot 4
Screenshot 5
Supreme Ruler Cold War
View in Mac App Store
  • $9.99
  • Category: Games
  • Updated:
  • Version: 1.1.1
  • Size: 528 MB
  • Language: English
  • Seller:
Rated 9+ for the following:
  • Infrequent/Mild Cartoon or Fantasy Violence

Compatibility: OS X 10.6.6 or later

Customer Ratings

We have not received enough ratings to display an average for the current version of this application.
All Versions: